"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var SelectField_1 = require("./styles/SelectField");
var SelectField = /** @class */ (function (_super) {
    tslib_1.__extends(SelectField, _super);
    function SelectField() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleChange = function (evt) {
            _this.props.onChange(evt.target.value);
        };
        return _this;
    }
    SelectField.prototype.shouldComponentUpdate = function (nextProps) {
        return (nextProps.disabled !== this.props.disabled ||
            nextProps.value !== this.props.value ||
            nextProps.options !== this.props.options);
    };
    SelectField.prototype.render = function () {
        var _a = this.props, options = _a.options, value = _a.value;
        return (<SelectField_1.SelectSpan>
        {options[value]}
        <SelectField_1.StyledSelect onChange={this.handleChange} value={value}>
          {Object.keys(options).map(function (key) {
            var val = options[key];
            return (<option value={key} key={key}>
                {val}
              </option>);
        })}
        </SelectField_1.StyledSelect>
      </SelectField_1.SelectSpan>);
    };
    SelectField.defaultProps = {
        disabled: false,
        onChange: function () { }
    };
    return SelectField;
}(React.Component));
exports.default = SelectField;
//# sourceMappingURL=SelectField.jsx.map